summaryrefslogtreecommitdiffstats
path: root/perl/nqp
diff options
context:
space:
mode:
Diffstat (limited to 'perl/nqp')
-rw-r--r--perl/nqp/nqp.SlackBuild23
-rw-r--r--perl/nqp/nqp.info8
2 files changed, 22 insertions, 9 deletions
diff --git a/perl/nqp/nqp.SlackBuild b/perl/nqp/nqp.SlackBuild
index 82d51bffa9..843ef60a7d 100644
--- a/perl/nqp/nqp.SlackBuild
+++ b/perl/nqp/nqp.SlackBuild
@@ -1,8 +1,8 @@
-#!/bin/sh
+#!/bin/bash
# Slackware build script for nqp
-# Copyright 2020- Michel Begue <mab974@gmail.com>
+# Copyright 2020- Michel Begue <mab974@misouk.com>
# Copyright 2018-2020 Andreas Voegele <andreas@andreasvoegele.com>
#
# Permission to use, copy, modify, and distribute this software for any
@@ -17,10 +17,13 @@
# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PRGNAM=nqp
-VERSION=${VERSION:-2021.02}
+VERSION=${VERSION:-2024.03}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
BACKENDS=${BACKENDS:-moar}
@@ -32,7 +35,14 @@ if [ -z "$ARCH" ]; then
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
@@ -77,6 +87,9 @@ if [ "${MAKETEST:-no}" = "yes" ]; then
fi
make install DESTDIR=$PKG
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a \
CREDITS LICENSE \
@@ -87,4 +100,4 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/perl/nqp/nqp.info b/perl/nqp/nqp.info
index 1f1fb7a6c1..e2468cb901 100644
--- a/perl/nqp/nqp.info
+++ b/perl/nqp/nqp.info
@@ -1,10 +1,10 @@
PRGNAM="nqp"
-VERSION="2021.02"
+VERSION="2024.03"
HOMEPAGE="https://rakudo.org"
-DOWNLOAD="https://github.com/Raku/nqp/releases/download/2021.02/nqp-2020.12.tar.gz"
-MD5SUM="430982d10e21a70d438623f49cf7ae96"
+DOWNLOAD="https://github.com/Raku/nqp/releases/download/2024.03/nqp-2024.03.tar.gz"
+MD5SUM="b9aa7e00298c2f5bb1c07f30265d004f"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="MoarVM"
MAINTAINER="Michel Begue"
-EMAIL="mab974@gmail.com"
+EMAIL="mab974@misouk.com"